> For the complete documentation index, see [llms.txt](https://docs.twtg.io/docs/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.twtg.io/docs/configuration/default-configurations/vibration-sensor-vb.md).

# Vibration Sensor (VB)

The default configuration of the NEON Vibration Sensor depends on the communication protocol being used. Please click on the communication protocol the device currently uses.&#x20;

* [Protocol v2](#protocol-v2)
* [Protocol v3](#protocol-v3)
* [Protocol v4](#protocol-v4)

### Protocol v2

#### Base Configuration

```json
{
  "header": {
    "message_type": "base_configuration",
    "protocol_version": 2
  },
  "switch_mask": {
    "enable_confirmed_event_message": true,
    "enable_confirmed_data_message": false,
    "allow_deactivation": true
  },
  "communication_max_retries": 3,
  "unconfirmed_repeat": 1,
  "periodic_message_random_delay_seconds": 60,
  "status_message_interval_seconds": 86400,
  "status_message_confirmed_interval": 1,
  "lora_failure_holdoff_count": 2,
  "lora_system_recover_count": 1,
  "lorawan_fsb_mask": [
    "0x00FF",
    "0x0000",
    "0x0000",
    "0x0000",
    "0x0000"
  ]
}
```

This configuration generally dictates the following behaviour on the device:

* Makes event messages confirmed
* Provides a daily device status message&#x20;

#### Sensor Configuration

```json
{
  "header": {
    "message_type": "sensor_configuration",
    "protocol_version": 2
  },
  "device_type": "vb",
  "measurement_interval_seconds": 900,
  "periodic_event_message_interval": 16,
  "frequency_range": {
    "rms_velocity": "range_2",
    "peak_acceleration": "range_2"
  },
  "events": [
    {
      "mode": "off",
      "mode_value": 0
    },
    {
      "mode": "off",
      "mode_value": 0
    },
    {
      "mode": "off",
      "mode_value": 0
    },
    {
      "mode": "off",
      "mode_value": 0
    },
    {
      "mode": "off",
      "mode_value": 0
    },
    {
      "mode": "off",
      "mode_value": 0
    }
  ]
}
```

The expected behaviour is:

* A measurement every 900 seconds / 15 minutes
* A message after 16 messages (16 messages \* 15 minutes = a messsage every 4 hours) with the min, max and average of the overall values.&#x20;
* Fmin is 5 Hz and Fmax is 6.6 kHz

#### Sensor Data Configuration

The sensor data configuration is not enabled by default; therefore, users must configure it if they want the device to send FFT data.&#x20;

### Protocol v3

#### Base

```json
{
  "config_update_req": {
    "config_type": "base",
    "protocol_version": 3,
    "tag": "0x691D8C86",
    "payload": {
      "switch_mask": {
        "enable_confirmed_event_message": false,
        "enable_confirmed_data_message": false,
        "allow_deactivation": true
      },
      "periodic_message_random_delay_seconds": 30,
      "status_message_interval": "1 day"
    }
  }
}
```

This configuration generally dictates the following behaviour on the device:

* No messages are sent confirmed except for the device status message
* Provides a daily device status message&#x20;

#### Sensor

```json
{
  "config_update_req": {
    "config_type": "sensor",
    "protocol_version": 3,
    "tag": "0x691D8CDD",
    "payload": {
      "device_type": "vb",
      "switch_mask": {
        "selection": "avg_only"
      },
      "measurement_interval_minutes": 5,
      "periodic_event_message_interval": 12,
      "frequency_range": {
        "velocity": "range_2",
        "acceleration": "range_2"
      }
    }
  }
}
```

The expected behaviour is:

* A measurement every 5 minutes
* A message after 12 messages (12 messages \* 5 minutes = a message every 1 hour) with the averages of the overall values.&#x20;
* Fmin is 5 Hz and Fmax is 6.6 kHz

#### Sensor data

The sensor data is not enabled by default; therefore, users must configure it if they want the device to send FFT data.&#x20;

#### Sensor conditions

Sensor conditions are not enabled by default. Users must configure it if they want to threshold triggers on the device.&#x20;

### Protocol v4

#### Transmitter

```json
{
  "configuration_update_request": {
    "version": 0,
    "tag": "0x691D8DF9",
    "payload": {
      "type": "transmitter",
      "version": 0,
      "allow_deactivation": true,
      "require_sensor_pairing": false,
      "enable_class_b": false,
      "time_synchronization_interval_days": 1,
      "fragmented_uplink_redundancy_percent": 10
    }
  }
}
```

The default transmitter configuration indicates the device to:

* Allow deactivation
* Do not require sensor pairing&#x20;
* Work on class A
* Sync time with the gateway once per day
* Send a 10% redundancy on fragmented uplinks

#### Schedule Transmitter Status

```json
{
  "configuration_update_request": {
    "version": 0,
    "tag": "0x691D8E6A",
    "payload": {
      "type": "schedule",
      "version": 0,
      "command": "replace",
      "timing": "1440",
      "triggered_on_button_press": true,
      "send": true,
      "settings": {
        "type": "transmitter_status",
        "version": 0
      }
    }
  }
}
```

The default schedule for the transmitter status is once per day and on button press.&#x20;

#### Schedule Measurement&#x20;

```json
{
  "configuration_update_request": {
    "version": 0,
    "tag": "0x691D8EA2",
    "payload": {
      "type": "schedule",
      "version": 0,
      "command": "set",
      "timing": "60",
      "triggered_on_button_press": false,
      "send": true,
      "settings": {
        "type": "vb_measurement",
        "version": 0,
        "axis": "all",
        "range": "gscale_16",
        "sample_speed_divider": 1,
        "f_min": 5,
        "f_max": 6300,
        "enable_confirmed_message": false,
        "send_condition": {
          "value_type": "always",
          "threshold": 0
        }
      }
    }
  }
}
```

The default schedule for measurement orders the device to execute a measurement and send a message every 60 minutes with the following parameters

* G scales = 16
* Sample speed divider = 1
* Fmin = 5 Hz
* Fmax = 6300 Hz

#### Extra Configuration

The other configurations available for the NEON Vibration Sensor using the communication protocol v4 are disabled. This includes:  Schedule machine fault indicator, Schedule spectrum, Schedule statistics, Schedule transmitter battery, Alert, Spectrum alert, and Asset.&#x20;


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter, and the optional `goal` query parameter:

```
GET https://docs.twtg.io/docs/configuration/default-configurations/vibration-sensor-vb.md?ask=<question>&goal=<endgoal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is optional and describes the broader end goal you are ultimately trying to accomplish on behalf of the user. GitBook uses it to tailor the answer towards what is most useful for that goal.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
